Subject: Re: An idea for "git bisect" and a GSoC enquiry

From: Junio C Hamano <[email-masked]>
Date: Wed, 12 Mar 2014 11:31:19 -0700

Jacopo Notarstefano <[email-masked]> writes:

> On Mon, Mar 3, 2014 at 7:34 PM, Junio C Hamano <[email-masked]> wrote:
>> I think you fundamentally cannot use two labels that are merely
>> "distinct" and bisect correctly.  You need to know which ones
>> (i.e. good) are to be excluded and the other (i.e. bad) are to be
>> included when computing the "remaining to be tested" set of commits.
>
> Good point. Yes, this isn't viable.

But if you make them into --no-longer-X vs --still-X, then it will
be viable without us knowing what X means.